# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=5
USE_RUBY="ruby21 ruby22 ruby23"
inherit eutils

DESCRIPTION="Rubyripper aims to deliver high quality rips from audio cd's to your computer drive. It tries to do so by ripping the same track with cdparanoia multiple times and then comparing the results."
HOMEPAGE="https://github.com/bleskodev/rubyripper"
SRC_URI="https://github.com/bleskodev/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="gtk2 +cli +flac vorbis mp3 aac"

REQUIRED_USE="|| ( cli gtk2 )"

DEPEND="media-sound/cdparanoia
		>=dev-lang/ruby-1.9
		media-sound/cd-discid
		flac? ( media-libs/flac )
		mp3? ( media-sound/lame )
		vorbis? ( media-sound/vorbis-tools )
		aac? ( media-sound/neroaac )
		gtk2? ( dev-ruby/ruby-gtk2 )
		media-sound/sox
		media-sound/normalize
		app-cdr/cdrdao
		dev-ruby/ruby-gettext
"
RDEPEND="${DEPEND}"

src_prepare() {
		epatch	"${FILESDIR}"/0.6.2-utf8-fix.patch
}

src_configure() {
        econf \
                --enable-lang-all \
                $(use_enable gtk2) \
                $(use_enable cli) 
}
