# Copyright 1999-2014 Tiziano Mueller
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="5"

PYTHON_COMPAT=( python2_7 )

inherit bash-completion-r1 distutils-r1

DESCRIPTION="CD-DA ripper, fork of the morituri project (CDDA ripper for *nix systems aiming for accuracy over speed)"
HOMEPAGE="https://github.com/JoeLametta/whipper"
SRC_URI="https://github.com/JoeLametta/whipper/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE="alac +cddb +cdio +flac test wav wavpack"

RDEPEND="${PYTHON_DEPS}
    !media-sound/morituri
	media-sound/cdparanoia
	app-cdr/cdrdao
	media-libs/gstreamer:0.10
	media-sound/sox
	dev-python/python-musicbrainz-ngs
	alac? ( media-plugins/gst-plugins-ffmpeg )
	cddb? ( dev-python/cddb-py[${PYTHON_USEDEP}] )
	cdio? ( dev-python/pycdio )
	flac? ( media-plugins/gst-plugins-flac media-libs/flac )
	wav? ( media-libs/gst-plugins-good media-libs/libsndfile )
	wavpack? ( media-plugins/gst-plugins-wavpack )
	dev-python/gst-python:0.10[${PYTHON_USEDEP}]
"

python_test() {
        esetup.py test
}

src_compile() {
       cd "${S}/src"
       emake
}

python_install_all() {
        distutils-r1_python_install_all
		dobin "${S}/src/accuraterip-checksum"
}

